# Class SubsequenceComparator<T extends BinarySequence>

java.lang.Object
org.snpeff.binseq.comparator.SubsequenceComparator<T>

Type Parameters:
  `T` -

Direct Known Subclasses:
  `DnaQualSubsequenceComparator, DnaSubsequenceComparator`

public abstract class SubsequenceComparator<T extends BinarySequence> extends Object
Compare two subsequences (actually it compares two sequences from different starting points)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`SubsequenceComparator()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`compare(T seq1, int start1, T seq2, int start2)`
`abstract int`
`score(T seq1, int start1, T seq2, int start2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubsequenceComparator

public SubsequenceComparator()

## Method Details

### compare

public abstract int compare(T seq1, int start1, T seq2, int start2)

### score

public abstract int score(T seq1, int start1, T seq2, int start2)